LibreOffice: EnhancedCustomShapePath Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
EnhancedCustomShapePath Service Reference

This service may be represented by a com::sun::star::beans::PropertyValue []. More...

`import"EnhancedCustomShapePath.idl";`

## Public Attributes
sequence<::com::sun::star::drawing::EnhancedCustomShapeParameterPair > | Coordinates
| This property is specifying the points that makes the geometry of the shape. More...
sequence<::com::sun::star::drawing::EnhancedCustomShapeSegment > | Segments
| This property specifies the commands and the way the Coordinates have to be interpreted. More...
long | StretchX
| This property specifies the horizontal StretchPoint that has to be used. More...
long | StretchY
| This property specifies the vertical StretchPoint that has to be used. More...
sequence<::com::sun::star::drawing::EnhancedCustomShapeTextFrame > | TextFrames
| This property specifies the text frames that can be used with the shape. More...
sequence<::com::sun::star::drawing::EnhancedCustomShapeParameterPair > | GluePoints
| This property specifies custom glue points. More...
sequence< double > | GluePointLeavingDirections
| This property specifies GluePoint leaving directions. More...
short | GluePointType
| This property defines the GluePoint type. More...
boolean | ExtrusionAllowed
| This property specifies if this shape supports the EnhancedCustomShapeExtrusion properties. More...
boolean | ConcentricGradientFillAllowed
| This property specifies if this shape supports concentric gradient fill. More...
boolean | TextPathAllowed
| This property specifies if this shape supports concentric gradient fill. More...
sequence< ::com::sun::star::awt::Size > | SubViewSize
| This property specifies view size per sub path. More...

## Detailed Description

This service may be represented by a com::sun::star::beans::PropertyValue [].

## Member Data Documentation

boolean ConcentricGradientFillAllowed
| optionalproperty

This property specifies if this shape supports concentric gradient fill.

The default is false.

sequence<::com::sun::star::drawing::EnhancedCustomShapeParameterPair> Coordinates
| optionalproperty

This property is specifying the points that makes the geometry of the shape.

boolean ExtrusionAllowed
| optionalproperty

This property specifies if this shape supports the EnhancedCustomShapeExtrusion properties.

The default is true.

sequence< double > GluePointLeavingDirections
| optionalproperty

This property specifies GluePoint leaving directions.

sequence<::com::sun::star::drawing::EnhancedCustomShapeParameterPair> GluePoints
| optionalproperty

This property specifies custom glue points.

short GluePointType
| optionalproperty

This property defines the GluePoint type.

The values that can be used are specified in com::sun::star::drawing::EnhancedCustomShapeGluePointType

sequence<::com::sun::star::drawing::EnhancedCustomShapeSegment> Segments
| optionalproperty

This property specifies the commands and the way the Coordinates have to be interpreted.

long StretchX
| optionalproperty

This property specifies the horizontal StretchPoint that has to be used.

No stretching is used if this property is omitted.

long StretchY
| optionalproperty

This property specifies the vertical StretchPoint that has to be used.

No stretching is used if this property is omitted.

sequence< ::com::sun::star::awt::Size > SubViewSize
| optionalproperty

This property specifies view size per sub path.

sequence<::com::sun::star::drawing::EnhancedCustomShapeTextFrame> TextFrames
| optionalproperty

This property specifies the text frames that can be used with the shape.

In general the first text frame is used, except the shape is containing vertical text, then the object tries to use the second text frame. The default text frame will be as big as the shape.

boolean TextPathAllowed
| optionalproperty

This property specifies if this shape supports concentric gradient fill.

The default is false;

The documentation for this service was generated from the following file:

- com/sun/star/drawing/EnhancedCustomShapePath.idl